This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 1057489 (CVE-2013-6487)

Summary: CVE-2013-6487 pidgin: Heap-based buffer overflow in Gadu-Gadu protocol plugin
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: cschalle, debarshir, dominik, itamar, jkurik, jrusnack, jsynacek, mbarnes, pfrields, security-response-team, stu
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140128,reported=20140122,source=upstream,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/pidgin=affected,rhel-6/pidgin=affected,rhel-7/pidgin=notaffected,fedora-all/pidgin=affected,fedora-all/libgadu=affected,cwe=CWE-122
Fixed In Version: pidgin 2.10.8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-13 15:38:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 1058238, 1058239, 1058240, 1058242, 1058243, 1059049, 1060921, 1060922    
Bug Blocks: 1054257    
Attachments:
Description Flags
Local copy of patch none

Description Huzaifa S. Sidhpurwala 2014-01-24 03:53:51 EST
A Heap-based buffer overflow was found in the way Gadu-Gadu protocol plugin of pidgin. A malicious server or man-in-the-middle could send a large value for Content-Length and cause an integer overflow which could lead to a buffer overflow. This could cause pidgin to crash or possibly execute arbitrary code with the permissions of the user running pidgin. 

Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting this issue. Upstream acknowledges Yves Younan and Ryan Pentney of Sourcefire VRT as the original reporters of this issue.
Comment 1 Huzaifa S. Sidhpurwala 2014-01-27 01:17:32 EST
Created attachment 855928 [details]
Local copy of patch
Comment 4 Vincent Danen 2014-01-28 15:47:10 EST
External References:

http://pidgin.im/news/security/?id=82
Comment 5 Huzaifa S. Sidhpurwala 2014-01-28 23:26:00 EST
Created pidgin tracking bugs for this issue:

Affects: fedora-all [bug 1059049]
Comment 6 Vincent Danen 2014-02-03 17:49:58 EST
This also affects libgadu.
Comment 7 Vincent Danen 2014-02-03 17:50:32 EST
Created libgadu tracking bugs for this issue:

Affects: fedora-all [bug 1060921]
Comment 9 errata-xmlrpc 2014-02-05 12:44:56 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0139 https://rhn.redhat.com/errata/RHSA-2014-0139.html
Comment 10 Fedora Update System 2014-02-05 22:50:07 EST
pidgin-2.10.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-02-14 02:59:43 EST
pidgin-2.10.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2014-02-14 03:04:02 EST
libgadu-1.12.0-0.3.rc2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2014-02-22 13:20:29 EST
libgadu-1.12.0-0.3.rc2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.